Bug 1026880 - [PATCH] Please include "trash_folder" patch for mutt
[PATCH] Please include "trash_folder" patch for mutt
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matej Mužila
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 10:10 EST by Adam Tkac
Modified: 2015-06-29 20:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:44:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (10.86 KB, patch)
2013-11-05 10:12 EST, Adam Tkac
no flags Details | Diff

  None (edit)
Description Adam Tkac 2013-11-05 10:10:47 EST
Description of problem:
There is a patch called "trash_folder" around for a long time which simplifies configuration of the "trash" folder (i.e. deleted mesages go to trash and aren't immediatelly deleted). Currently every user which wants to use trash folder must set various macro hooks which is difficult. Please note that patch is 100% backward compatible; if user doesn't set the "trash" variable in muttrc, the patch has no effect for him.

Version-Release number of selected component (if applicable):
mutt-1.5.21-26.fc20

How reproducible:
always

Steps to Reproduce:
Attempt to setup "trash" folder so mails are automatically moved to trash before permanently deleted. Now you must do it with various folder hooks (separate for threads and separate for individual messages). With patch you just set

set trash = "=Trash"

in muttrc and everything works.

Actual results:
Difficult configuration

Expected results:
Easy configuration
Comment 1 Adam Tkac 2013-11-05 10:12:48 EST
Created attachment 819822 [details]
Proposed patch

Please note that I can push the patch & build new mutt myself if you are busy and you agree with inclusion of the patch.
Comment 2 jpacner 2013-11-07 04:07:11 EST
Hi Adam, thank you for proposal. Currently the mutt upstream came back to live and because this patch seems interesting enough, I would first create a ticket in the mutt trac, write an email to dev mailing list and commit this change to the "default" branch (see http://www.mail-archive.com/mutt-dev@mutt.org/msg08865.html and https://bitbucket.org/mutt/mutt/branches).

Please keep in mind, we're trying to be as much upstream compatible as possible and in this case, I'd rather saw the patch first in the mutt trac together with upstream response. I'll definitely check this issue in a few days after I receive an email from mutt-dev list.
Comment 3 Adam Tkac 2013-11-08 06:48:23 EST
(In reply to jpacner from comment #2)
> Hi Adam, thank you for proposal. Currently the mutt upstream came back to
> live and because this patch seems interesting enough, I would first create a
> ticket in the mutt trac, write an email to dev mailing list and commit this
> change to the "default" branch (see
> http://www.mail-archive.com/mutt-dev@mutt.org/msg08865.html and
> https://bitbucket.org/mutt/mutt/branches).
> 
> Please keep in mind, we're trying to be as much upstream compatible as
> possible and in this case, I'd rather saw the patch first in the mutt trac
> together with upstream response. I'll definitely check this issue in a few
> days after I receive an email from mutt-dev list.

Ok, sounds fine. Feel free to ask if you need more info from me.
Comment 4 jpacner 2013-11-28 10:38:45 EST
Have you already proposed the patch to upstream as I mentioned above?
Comment 5 Adam Tkac 2013-11-28 11:03:03 EST
(In reply to jpacner from comment #4)
> Have you already proposed the patch to upstream as I mentioned above?

Ah, I didn't understand your comment #2, I thought you will propose it to upstream:) I will create the ticket and put reference here.
Comment 6 jpacner 2013-11-28 12:08:52 EST
I'm sorry for that. I'd be glad if you propose it to upstream :). Thank you!
Comment 7 Adam Tkac 2013-12-02 07:26:58 EST
Reference for upstream ticket:

http://dev.mutt.org/trac/ticket/3670
Comment 8 Fedora Admin XMLRPC Client 2014-08-18 07:26:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Adam Tkac 2014-08-18 07:56:12 EDT
Since upstream said nothing about the patch, would it be possible to include it in the Fedora? For example Debian/Ubuntu already includes it...
Comment 10 Fedora Admin XMLRPC Client 2014-08-20 07:57:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Michael Adam 2014-12-01 15:49:55 EST
I'd also appreciate the patch being included in the fedora package!
Comment 12 Fedora End Of Life 2015-05-29 05:41:45 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 20:44:18 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.